Index: frontend/src/Components/Listings/SortButton.js
===================================================================
--- frontend/src/Components/Listings/SortButton.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Listings/SortButton.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -3,7 +3,10 @@
 import { BsSortUp } from "react-icons/bs"
 
-const SortButton = () => {
+const SortButton = (props) => {
     return (
-        <Dropdown>
+        <Dropdown onSelect={(event, x) => {
+            console.log(event)
+            props.setSortingArg(event)
+        }}>
           <Dropdown.Toggle variant="success" id="dropdown-basic" size="lg">
           <span className="ikona my-1"><BsSortUp/></span>
@@ -11,9 +14,9 @@
           </Dropdown.Toggle>
     
-          <Dropdown.Menu>
-            <Dropdown.Item href="#/action-1">Цена растечки</Dropdown.Item>
-            <Dropdown.Item href="#/action-2">Цена опаѓачки</Dropdown.Item>
-            <Dropdown.Item href="#/action-3">Име растечки</Dropdown.Item>
-            <Dropdown.Item href="#/action-3">Име опаѓачки</Dropdown.Item>
+          <Dropdown.Menu >
+              {props.type !== 'restaurant' && <Dropdown.Item eventKey={'priceDesc'}>Цена растечки</Dropdown.Item>}
+              {props.type !== 'restaurant' && <Dropdown.Item eventKey={'priceAsc'}>Цена опаѓачки</Dropdown.Item>}
+              {props.type !== 'transport' && <Dropdown.Item eventKey={'nameAsc'}>Име растечки</Dropdown.Item>}
+              {props.type !== 'transport' && <Dropdown.Item eventKey={'nameDesc'}>Име опаѓачки</Dropdown.Item>}
           </Dropdown.Menu>
         </Dropdown>
Index: frontend/src/Components/Listings/TransportListing.js
===================================================================
--- frontend/src/Components/Listings/TransportListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Listings/TransportListing.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -9,5 +9,5 @@
 
 const TransportListing = (props) => {
-  
+
 
 
@@ -56,5 +56,5 @@
                     }}
                   >
-                    9.1
+                      {(props.data.reviews.reduce((sum, r) => sum + r.numStar, 0) / props.data.reviews.length).toFixed(1)}
                   </span>
                 </Col>
Index: frontend/src/Components/Resources/AddAvailability.js
===================================================================
--- frontend/src/Components/Resources/AddAvailability.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/AddAvailability.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,3 +1,3 @@
-import React from "react";
+ import React from "react";
 import { Container, Row, Modal, Im } from "react-bootstrap";
 import { useState } from "react";
@@ -42,6 +42,6 @@
         <Modal.Body>
             {props.type === "hotel" && <AddHotelForm/>}
-            {props.type === "room" && <AddRoomAvailablityForm hotelRoomId={props.hotelRoomId}/>}
-            {props.type === "table" && <AddTableAvailablityForm table={props.table}/>}
+            {props.type === "room" && <AddRoomAvailablityForm refresh={props.refresh} close={props.closeModal}  hotelRoomId={props.hotelRoomId}/>}
+            {props.type === "table" && <AddTableAvailablityForm refresh={props.refresh} close={props.closeModal} table={props.table}/>}
             {props.type === "restaurant" && <AddRestaurantForm/>}
             {props.type === "transport" && <AddTransportForm/>}
Index: frontend/src/Components/Resources/AddImages.js
===================================================================
--- frontend/src/Components/Resources/AddImages.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/AddImages.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -53,6 +53,4 @@
                     {!isLoading && data.map((image) => {
                         let link = image.url;
-                        console.log("SLIKATAAA")
-                        console.log(image)
                         if (image.url.includes('Desktop')) {
                             link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
Index: frontend/src/Components/Resources/AddNew.js
===================================================================
--- frontend/src/Components/Resources/AddNew.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/AddNew.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -56,8 +56,8 @@
         </Modal.Header>
         <Modal.Body>
-            {props.type === "hotel" && <AddHotelForm refresh={props.refresh}/>}
-            {props.type === "room" && <AddRoomForm refresh={props.refresh} hotelId={props.Id}/>}
-            {props.type === "restaurant" && <AddRestaurantForm edit="false" refresh={props.refresh}/>}
-            {props.type === "transport" && <AddTransportForm refresh={props.refresh}/>}
+            {props.type === "hotel" && <AddHotelForm closeModal={handleClose} refresh={props.refresh}/>}
+            {props.type === "room" && <AddRoomForm closeModal={handleClose} refresh={props.refresh} hotelId={props.Id}/>}
+            {props.type === "restaurant" && <AddRestaurantForm edit="false" closeModal={handleClose} refresh={props.refresh}/>}
+            {props.type === "transport" && <AddTransportForm closeModal={handleClose} refresh={props.refresh}/>}
             {props.type === "menu" && <AddItemMenuForm Id={props.Id} refresh={props.refresh}/>}
             {props.type === "route" && <AddTripForm transportId={props.transport.transportID} setSize={setSizeXl} refresh={props.refresh}/>}
Index: frontend/src/Components/Resources/EditModal.js
===================================================================
--- frontend/src/Components/Resources/EditModal.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/EditModal.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -32,5 +32,5 @@
         </Modal.Header>
         <Modal.Body>
-            {props.type === "hotel" && <AddHotelForm/>}
+            {props.type === "hotel" && <AddHotelForm refresh={props.refresh}/>}
             {props.type === "room" && <EditRoomForm refresh={props.refresh} room={props.room}/>}
             {props.type === "restaurant" && <AddRestaurantForm edit="false" refresh={props.refresh}/>}
Index: frontend/src/Components/Resources/ResourceListing.js
===================================================================
--- frontend/src/Components/Resources/ResourceListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/ResourceListing.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -8,11 +8,7 @@
 
 const ResourceListing = (props) => {
-  
-    console.log("props " + props.id)
-  
 
     const type = props.type == "hotel" ? "сместувањето" : props.type == "restaurant" ? "ресторанот" : "превозот";
     const name = props.type == "hotel" ? props.data.hotelName : props.type == "restaurant" ? props.data.restaurantName : props.data.transportName
-<<<<<<< HEAD
     const id = props.type == "hotel" ? props.data.hotelId : props.type == "restaurant" ? props.data.restaurantID : props.data.transportID
     console.log(props.data)
@@ -54,48 +50,8 @@
                     </Col>
 
-                    <Col className="d-flex flex-column justify-content-center align-content-center">
-                        <AddImages type={props.type} Id={id} />
-                    </Col>
+                    {props.type !== 'transport' && <Col className="d-flex flex-column justify-content-center align-content-center">
+                        <AddImages type={props.type} Id={id}/>
+                    </Col>}
                     <Col className="d-flex justify-content-center align-content-center">
-=======
-    const id = props.type == "hotel" ? props.data.hotelId : props.type == "restaurant" ? props.data.resturantId : props.data.transportID
-    return(<> 
-    <a href={`${props.type}/${id}`} style={{textDecoration: "none", color:"black"}}>
-        <Container className="py-3 px-1 my-4"
-        style={{
-          border: "4px solid #159895",
-          borderRadius: "1em",
-          boxShadow: "0 3px 5px #159895",
-          maxWidth: "90%",
-        }}>
-            <Row>
-                <Col className="d-flex justify-content-center">
-                    <Image
-                    src="https://www.imgacademy.com/sites/default/files/legacyhotel.jpg"
-                    style={{
-                        height: "8em",
-                        borderRadius: "1em",
-                        boxShadow: "0 4px 20px lightblue",
-                        maxWidth: "100%",
-                    }}
-                    ></Image>
-                </Col>
-                <Col >
-                    <h2 style={{textAlign: "left"}}>{name}</h2>
-                    {props.type === "hotel" && (<>
-                      <h5 style={{textAlign: "left"}}>{props.data.hotelLocation}</h5>
-                      <h5 style={{textAlign: "left"}}>{props.data.hotelEmail}</h5>
-                    </>)}
-                    {props.type === "restaurant" && (<>
-                      <h5 style={{textAlign: "left"}}>{props.data.restaurantLocation}</h5>
-                      <h5 style={{textAlign: "left"}}>{props.data.cousineType} кујна</h5>
-                    </>)}
-                    {props.type === "transport" && (<>
-                      <h5 style={{textAlign: "left"}}>{props.data.carBrand}</h5>
-                      <h5 style={{textAlign: "left"}}>{props.data.carPlate}</h5>
-                    </>)}
-                </Col>
-                <Col className="d-flex justify-content-center align-content-center" >
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
                   <span
                       style={{
Index: frontend/src/Components/Resources/ResourcesTab.js
===================================================================
--- frontend/src/Components/Resources/ResourcesTab.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/Resources/ResourcesTab.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -10,5 +10,4 @@
 
 function ResourcesTab(props) {
-<<<<<<< HEAD
     const [activeTab, setActiveTab] = useState(props.tab);
     const userId = JSON.parse(localStorage.getItem("user")).userId;
@@ -36,37 +35,4 @@
                     <Nav.Item className="tab_item rounded-5">
                         <Nav.Link href="/resources/hotel" className="text-left rounded-5">
-=======
-  const [activeTab, setActiveTab] = useState(props.tab);
-  // const [changed, setChanged] = useState(0);
-  const userId = localStorage.getItem("userId");
-  const { data, setData, isLoading, getData, setChanged } = useGet(`${props.tab}/user/${userId}`);
-
-  const handleSelect = (eventKey) => {
-    setActiveTab(eventKey);
-    console.log(props.refresh);
-    props.refresh(eventKey);
-    console.log("refresh" + eventKey);
-  };
-
-  !isLoading && console.log(data);
-  console.log(props.tab);
-
-  return (
-    <Container className="rounded-5">
-      <Tab.Container
-        activeKey={activeTab}
-        onSelect={handleSelect}
-        className="bg-dark rounded-5"
-      >
-        <Nav
-          fill
-          variant="tabs"
-          className="bg-body rounded-top-5"
-          activeKey="/hotel"
-          id="tab_item"
-        >
-          <Nav.Item className="tab_item rounded-5">
-            <Nav.Link href="/resources/hotel" className="text-left rounded-5">
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
               <span className="ikona">
                 <FaHotel
@@ -101,5 +67,4 @@
                 </Nav>
 
-<<<<<<< HEAD
                 <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
                     <Tab.Pane eventKey="/hotel" key="hotelPane">
@@ -150,57 +115,4 @@
         </Container>
     );
-=======
-        <Tab.Content className="py-5 px-3 border rounded-bottom-5 bg-light">
-          <Tab.Pane eventKey="/hotel" key="hotelPane">
-            {props.tab == "/hotel" && !isLoading && data != null &&
-              data.map((hotel) => {
-                return (
-                  <Link key={hotel.hotelId} to={"/resources/hotel/" + hotel.hotelId}>
-                    <ResourceListing
-                      key={hotel.hotelId}
-                      id={hotel.hotelId}
-                      type="hotel"
-                      data={hotel}
-                    />
-                  </Link>
-                );
-              })}
-            <AddNew type="hotel" refresh={setChanged} />
-          </Tab.Pane>
-          <Tab.Pane eventKey="/restaurant" key="restaurantPane">
-            {props.tab == "/restaurant" && !isLoading && data != null &&
-              data.map((restaurant) => {
-                console.log("mapiranje " + restaurant)
-                return (
-                  <Link key={restaurant.restaurantId} to={"/resources/restaurant/" + restaurant.restaurantID}>
-                    <ResourceListing
-                      key={restaurant.restaurantId}
-                      type="restaurant"
-                      data={restaurant}
-                    />
-                  </Link>
-                );
-              })}
-            <AddNew type="restaurant" refresh={setChanged}/>
-          </Tab.Pane>
-          <Tab.Pane eventKey="/transport" key="transportPane">
-            {props.tab == "/transport" && !isLoading && data.length > 0 &&
-              data.map((transport) => {
-                return (
-                  <ResourceListing
-                    key={transport.transportId}
-                    id={transport.transportId}
-                    type="transport"
-                    data={transport}
-                  />
-                );
-              })}
-            <AddNew type="transport" refresh={setChanged}/>
-          </Tab.Pane>
-        </Tab.Content>
-      </Tab.Container>
-    </Container>
-  );
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 }
 
Index: frontend/src/Components/RestaurantDetails/Carousel.js
===================================================================
--- frontend/src/Components/RestaurantDetails/Carousel.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/RestaurantDetails/Carousel.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -12,5 +12,5 @@
             <Row className='d-flex justify-content-center align-items-center'><h2>Мени</h2></Row>
             <hr className='m-2'></hr>
-            <Menu menu={props.menu}></Menu>
+            <Menu images={props.images} menu={props.menu}></Menu>
         </>
     );
Index: frontend/src/Components/RestaurantDetails/Menu.js
===================================================================
--- frontend/src/Components/RestaurantDetails/Menu.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/RestaurantDetails/Menu.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -23,4 +23,6 @@
 
 
+
+
     return (<>
         <Carousel activeIndex={ind} onSelect={handleSelect} indicators={false}>
@@ -34,5 +36,8 @@
                                         return (
                                             <Col>
-                                                <MenuItem data={menuItem}/>
+                                                <MenuItem images={    props.images.filter(x => {
+                                                    console.log(x)
+                                                    return x.menu.menuId === menuItem.menuId
+                                                })} data={menuItem}/>
                                             </Col>
                                         )
Index: frontend/src/Components/RestaurantDetails/MenuItem.js
===================================================================
--- frontend/src/Components/RestaurantDetails/MenuItem.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/RestaurantDetails/MenuItem.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -1,8 +1,11 @@
 import React from "react";
 import {Col, Row, Image, Container} from "react-bootstrap";
+import Carousel from "react-bootstrap/Carousel";
 
 const MenuItem = (props) => {
 
     const data = props.data;
+    console.log("dva orla")
+    console.log(props)
     return (<>
 
@@ -17,13 +20,38 @@
                 <Row>
                     <Col className="d-flex justify-content-center mb-3">
-                        <Image
-                            src="https://www.tasteofhome.com/wp-content/uploads/2019/01/medium-rare-steak-shutterstock_706040446.jpg"
-                            style={{
-                                height: "7em",
-                                borderRadius: "1em",
-                                boxShadow: "0 4px 20px lightblue",
-                                maxWidth: "100%",
-                            }}
-                        ></Image>
+                        <Carousel>
+                            {props.images.map((image) => {
+                                let link = image.url;
+                                if (image.url.includes('Desktop')) {
+                                    link = 'http://localhost:8080/download?fileName=' + encodeURIComponent(image.url);
+                                }
+                                return (
+                                    <Carousel.Item>
+                                        <img
+                                            className="d-block w-100 h-400 rounded-5"
+                                            src={link}
+                                            alt="First slide"
+                                            style={{
+                                                height: "7em",
+                                                borderRadius: "1em",
+                                                boxShadow: "0 4px 20px lightblue",
+                                                maxWidth: "100%",
+                                            }}
+                                        />
+                                    </Carousel.Item>
+                                )
+                            })}
+                            {props.images.length == 0 && <Carousel.Item>
+                                <Image
+                                    src="https://www.tasteofhome.com/wp-content/uploads/2019/01/medium-rare-steak-shutterstock_706040446.jpg"
+                                    style={{
+                                        height: "7em",
+                                        borderRadius: "1em",
+                                        boxShadow: "0 4px 20px lightblue",
+                                        maxWidth: "100%",
+                                    }}
+                                ></Image>
+                            </Carousel.Item>}
+                        </Carousel>
                     </Col>
                 </Row>
Index: frontend/src/Components/RestaurantDetails/TablesTable.js
===================================================================
--- frontend/src/Components/RestaurantDetails/TablesTable.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/RestaurantDetails/TablesTable.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -22,5 +22,7 @@
                 </thead>
                 <tbody>
-                {Array.from(new Set(props.data.map(x => x.restaurantTable))).map((table) => {
+                {Array.from(
+                    new Set(props.data.map((x) => JSON.stringify(x.restaurantTable)))
+                ).map((roomString) => JSON.parse(roomString)).map((table) => {
                     return (
                         <>
Index: frontend/src/Components/RestaurantEdit/MenuListing.js
===================================================================
--- frontend/src/Components/RestaurantEdit/MenuListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/RestaurantEdit/MenuListing.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -6,4 +6,5 @@
 import { AiOutlinePlusCircle } from "react-icons/ai"
 import EditModal from "../Resources/EditModal";
+import AddImages from "../Resources/AddImages";
 
 const MenuListing = (props) => {
@@ -12,6 +13,5 @@
     console.log(props.data)
     return(<>
-    <a href="#" onClick={(e) => {e.preventDefault(); props.showModal(props.data);
-    console.log("kliknav")} } style={{textDecoration: "none", color:"black"}}>
+    <a href="#" style={{textDecoration: "none", color:"black"}}>
         <Container className="py-3 px-1 my-4"
         style={{
@@ -23,5 +23,9 @@
             <Row>
                 <Col className="d-flex justify-content-center">
-                    <Image
+                    <Image onClick={(e) => {
+                        e.preventDefault();
+                        props.showModal(props.data);
+                        console.log("kliknav")
+                    }}
                     src="https://www.tasteofhome.com/wp-content/uploads/2019/01/medium-rare-steak-shutterstock_706040446.jpg"
                     style={{
@@ -37,4 +41,7 @@
                     <h6>{props.data.ingredients}</h6>
                 </Col>
+                <Col className="d-flex flex-column justify-content-center align-content-center">
+                    <AddImages type="menu" Id={props.data.menuId} />
+                </Col>
                 
                 <Col className="d-flex flex-column justify-content-center align-content-center">
Index: frontend/src/Components/RestaurantEdit/RestaurantEditTab.js
===================================================================
--- frontend/src/Components/RestaurantEdit/RestaurantEditTab.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/RestaurantEdit/RestaurantEditTab.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -10,4 +10,6 @@
 import TableListing from "./TableListing";
 import EditModal from "../Resources/EditModal";
+import ReservationListing from "../HotelEdit/ReservationListing";
+import useGet from "../Hooks/useGet";
 
 function RestaurantEditTab(props) {
@@ -35,4 +37,12 @@
     setActiveTab(eventKey);
   };
+
+  const {
+    data,
+    isLoading,
+    setData,
+    getData,
+    setChanged: dhanged
+  } = useGet(`/restaurant/${props.displayMenu.restaurantID}/reservations/active`)
 
   console.log(props.displayMenu.restaurantID)
@@ -100,10 +110,10 @@
               return <MenuListing key={menu.menuId} data={menu} showModal={showModal}/>
             })}
-            {activeTab === '/hotel' && <EditModal show={show} handleClose={handleClose} type="menu" menu={modalData}></EditModal>}
+            {activeTab === '/hotel' && <EditModal show={show} refresh={props.refresh} handleClose={handleClose} type="menu" menu={modalData}></EditModal>}
             <AddNew Id={props.displayMenu.restaurantID} refresh={props.refresh} type="menu"/>
           </Tab.Pane>
           <Tab.Pane eventKey="/masi">
            {props.displayMenu.tables.map((table) => {
-              return <TableListing key={table.tableId} showModal={showModal} data={table}/>
+              return <TableListing key={table.tableId} refresh={props.refresh} showModal={showModal} handleClose={handleClose} data={table}/>
             })}
             {activeTab === '/masi' && <EditModal show={show} handleClose={handleClose} refresh={props.refresh} type="table"
@@ -112,5 +122,9 @@
           </Tab.Pane>
           <Tab.Pane eventKey="/restaurant">
-            <AddNew type="restaurant"/>
+            {!isLoading && data.map((res) => {
+              return (
+                  <ReservationListing type={'restaurant'} data={res}/>
+              )
+            })}
           </Tab.Pane>
           <Tab.Pane eventKey="/transport">
Index: frontend/src/Components/RestaurantEdit/TableListing.js
===================================================================
--- frontend/src/Components/RestaurantEdit/TableListing.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/RestaurantEdit/TableListing.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -41,5 +41,5 @@
                 
                 <Col className="d-flex flex-column justify-content-center align-content-center">
-                  <AddAvailability type="table" table={props.data}/>
+                  <AddAvailability type="table" refresh={props.refresh} closeModal={props.handleClose} table={props.data}/>
                 </Col>
 
Index: frontend/src/Components/SearchCriterias/SearchCriteriasBar.js
===================================================================
--- frontend/src/Components/SearchCriterias/SearchCriteriasBar.js	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ frontend/src/Components/SearchCriterias/SearchCriteriasBar.js	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -2,18 +2,12 @@
 import { Container, Form, Button, Row, Col } from "react-bootstrap";
 import useFormData from "../Hooks/useFormData";
-<<<<<<< HEAD
 import SearchCriteriasHotel from "./SearchCriteriasHotel";
 import SearchCriteriasTransport from "./SearchCriteriasTransport";
 import SearchCriteriasRestaurant from "./SearchCriteriasRestaurant";
-=======
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 
-const SearchCriterias = (props) => {
+const SearchCriteriasBar = (props) => {
 
-  const { formData, onFormChange, onCheckBoxChange, setFormData} = useFormData(props.criterias)
-  console.log("KRITERIUMI")
-  console.log(formData)
+    const { criterias, type } = props
 
-<<<<<<< HEAD
     return (
         <>
@@ -24,92 +18,4 @@
     )
 }
-=======
-  return (
-    <>
-      <Container
-        className="p-1 pb-0 mb-5 mt-3 rounded-2"
-        style={{ backgroundColor: "#002B5B", width: "65%"}}
-      >
-        <Form className="rounded-5">
-          <Row className="gx-1">
-            <Col>
-              <Form.Floating className="mb-3">
-                <Form.Control
-                  size="md"
-                  type="text"
-                  placeholder="Каде ќе патувате?:"
-                  id="location"
-                  name="hotelLocation"
-                  onChange={onFormChange}
-                  value={formData.hotelLocation}
-                ></Form.Control>
-                <label htmlFor="location">Локација:</label>
-              </Form.Floating>
-            </Col>
-            <Col>
-              <Form.Floating className="mb-3">
-                <Form.Control
-                  size="md"
-                  type="date"
-                  placeholder="Датум на пристигнување:"
-                  id="dateFrom"
-                  name="dateFrom"
-                  onChange={onFormChange}
-                  value={formData.dateFrom}
-                ></Form.Control>
-                <label htmlFor="dateFrom">Датум на пристигнување:</label>
-              </Form.Floating>
-            </Col>
-            <Col>
-              <Form.Floating className="mb-3">
-                <Form.Control
-                  size="md"
-                  type="date"
-                  placeholder="Датум на заминување:"
-                  id="dateTo"
-                  name="dateTo"
-                  onChange={onFormChange}
-                  value={formData.dateTo}
-                ></Form.Control>
-                <label htmlFor="dateTo">Датум на заминување:</label>
-              </Form.Floating>
-            </Col>
-            <Col>
-              <Form.Floating className="mb-3">
-                <Form.Control
-                  size="md"
-                  type="number"
-                  placeholder="Број на гости:"
-                  id="floatingPassengers"
-                  name="numBeds"
-                  onChange={onFormChange}
-                  value={formData.numBeds}
-                ></Form.Control>
-                <label htmlFor="floatingPassengers">Број на гости:</label>
-              </Form.Floating>
-            </Col>
-            <Col>
-              <Form.Group className="my-1">
-                <Button
-                  type="submit"
-                  style={{ backgroundColor: "#159895" }}
-                  size="lg"
-                  className="w-100"
-                  onClick={(e) => {
-                    e.preventDefault();
-                    window.location.href = `/search/hotel/${formData.hotelLocation}/${formData.dateFrom}/${formData.dateTo}/${formData.numBeds}`
-                  }}
-                >
-                  <span className="ikona mx-3">Пребарај</span>
-                </Button>
-              </Form.Group>
-            </Col>
-          </Row>
-        </Form>
-      </Container>
-    </>
-  );
-};
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
 
-export default SearchCriterias;
+export default SearchCriteriasBar;
